Announcement Announcement Module
Collapse
No announcement yet.
DTD Validation Issue with Spring and JBoss 4.0.7 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • DTD Validation Issue with Spring and JBoss 4.0.7

    Hi,

    I realise that this is really a jboss question but I have posted it at jboss but got no response.

    Is anyone successfully using Spring with JBoss 4.0.7? I have been using Spring with JBoss-3.0.6 for a long time now with no issues at all.

    We have upgraded from 3.0.6 to 4.0.7 and are now unable to run jboss offline. It appears an attempt is being made to download the Spring DTD's as a result of the DOCTYPE declarations in my Spring files.

    There is a sugested solution on the jboss forums which mentions including the DTD's in web-inf and changing the XML docs to reference this. However the article regards struts and is specific to the web-tier.

    As I use Spring everywhere EJB, data accessors etc I am unsure where to put the Spring files for these constructs.

    Any help would be much appreciated.

    Regards
    Lea Thurman.

  • #2
    If your DTDs are in your JARs they should be resolved - unless you are using Crimson.

    Try copying the Xerces JAR to your JDK's "jre\lib\ext" directory.

    Comment

    Working...
    X